Introduction

The Token Price API gives you the price of a specific token in a given chain. It's useful for checking how prices changed over time, which is important for knowing if you're making good investment choices. It is also perfect for compliance, reconciliation, and auditing for finance processes.

Authentication

You can authenticate your request by using your API Key either as a:

  • Query parameter (?apiKey=<YOUR_API_KEY>)

or

  • Header (X-API-Key: <YOUR_API_KEY>)
📘

Info:

Refer to the Authenticate Your API Requests page for more details.

Supported Protocols and Networks

Protocol

Network

Arbitrum

Nova

One

Avalanche C-Chain

Mainnet

Base

Mainnet

Bitcoin

Mainnet

BNB

Mainnet

Canton

Mainnet

Ethereum

Mainnet

Hoodi

Mainnet

Kaia

Mainnet

Optimism

Mainnet

Polkadot

Mainnet

Polygon

Mainnet

Solana

Mainnet

Testnet

Stellar

Mainnet

Tron

Mainnet

XRP

Mainnet

Available Endpoints

All data will be accessible through the following API endpoints:

Endpoint
Get Chains - GET /allowed_chainsReturns an array of supported chains and their corresponding protocol, network, and unique chain ID.
Get Tokens - GET /allowed_tokens/ {chain_id}Returns metadata about all tokens available for pricing on a given chain. You can optionally filter the results by token symbols or contract addresses.
Get Price - POST /quotes/ {chain_id}Returns token prices on a given chain. Token addresses must be provided, and you can specify one or more currencies.